Retrieve a Kling video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "kling30:task_123",
"model": "kling-3.0",
"status": "succeeded",
"outputs": {
"videos": [
"https://example.com/generated.mp4"
],
"images": []
},
"updatedAt": "2026-08-31T08:01:10.000Z"
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Video API
Retrieve a Kling video task
Poll a Kling video task and read generated video URLs from the standard outputs object.
GET
/
contents
/
generations
/
tasks
/
{id}
Retrieve a Kling video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "kling30:task_123",
"model": "kling-3.0",
"status": "succeeded",
"outputs": {
"videos": [
"https://example.com/generated.mp4"
],
"images": []
},
"updatedAt": "2026-08-31T08:01:10.000Z"
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Path Parameters
Public task ID with a kling30turbo:, kling30:, or kling30omni: prefix.
Response
Current normalized task state.
Available options:
kling-3.0-turbo, kling-3.0, kling-3.0-omni Available options:
pending, queued, processing, running, succeeded, failed, cancelled Show child attributes
Show child attributes